;(function(){
var AdInCubeAdAvailable = false;
var timeoutHidden;
var network = {};
network.name = "AdinCube";
network.AdInCubeCB = {};
network.token = 0;
document.addEventListener("deviceready",
	function(){
		eventToFire.fireEvent("adNetwork", network);

	}, false
);

network.isReady = function(eventName){
	//isActive ? (from CSV "1")
	return (parseInt("1") || 0);
}

network.isEventReady = function(eventName){
	return AdInCubeAdAvailable;
}

network.launchEvent = function(eventName, C2cbOnFail, C2cbOnVideoDidAppear, C2cbOnVideoDidDisappear, forceReload, fallBackOnOfferWall){
	this.AdInCubeCB = {"eventName" : eventName, "C2cbOnFail" : C2cbOnFail, "C2cbOnVideoDidAppear" : C2cbOnVideoDidAppear, "C2cbOnVideoDidDisappear" : C2cbOnVideoDidDisappear, "forceReload" : forceReload, "fallBackOnOfferWall" : fallBackOnOfferWall};
	
	if(!this.isReady()){return false;}
	network.token = 1;
	adincube.rewarded.show();
	AdInCubeAdAvailable = false;
	return true;
	
}
//-----------------------------------------------------------------

function rewardedError(){
	cr_setSuspended(false);
	if(network.token == 1){
		if(typeof(network.AdInCubeCB.C2cbOnFail) != 'undefined' && typeof(c2_callFunction) == 'function') c2_callFunction(network.AdInCubeCB.C2cbOnFail, [network.AdInCubeCB.eventName, "1"]);
		if(typeof(network.AdInCubeCB.C2cbOnVideoDidDisappear) != 'undefined' && typeof(c2_callFunction) == 'function') c2_callFunction(network.AdInCubeCB.C2cbOnVideoDidDisappear, [network.AdInCubeCB.eventName, "1"]);
		eventToFire.fireEvent("rewarded_analytic",network.AdInCubeCB.eventName,false,"fail-error");
	}
	adincube.rewarded.fetch();
	network.token = 0;
}

function rewardedSucess(){
	cr_setSuspended(false);
	adincube.rewarded.fetch();
	if(network.token == 1){
		if(typeof(network.AdInCubeCB.C2cbOnVideoDidDisappear) != 'undefined' && typeof(c2_callFunction) == 'function') c2_callFunction(network.AdInCubeCB.C2cbOnVideoDidDisappear, [network.AdInCubeCB.eventName, "1"]);
		eventToFire.fireEvent("rewarded_analytic",network.AdInCubeCB.eventName,true);
	}
	network.token = 0;
}

//-----------------------------------------------------------------

document.addEventListener('AIC-Rewarded-onAdCompleted', function(){
	clearTimeout(timeoutHidden);
	rewardedSucess();
}.bind(this));

document.addEventListener('AIC-Rewarded-onAdFetched', function(){
	AdInCubeAdAvailable = true;
});

document.addEventListener('AIC-Rewarded-onError', function(errorCode){
	rewardedError();
}.bind(this));

document.addEventListener('AIC-Rewarded-onAdShown', function(){
	cr_setSuspended(true);
	if(typeof(network.AdInCubeCB.C2cbOnVideoDidAppear) != 'undefined' && typeof(c2_callFunction) == 'function') c2_callFunction(network.AdInCubeCB.C2cbOnVideoDidAppear, [network.AdInCubeCB.eventName, "1"]);
}.bind(network));

document.addEventListener('AIC-Rewarded-onAdHidden', function(){
	timeoutHidden = setTimeout(rewardedError, 1000);
}.bind(this));


}());
